Skip to main content
POST
Cancel a portfolio asset transaction

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

User identifier for the M2M client to specify which user's data to access.

Pattern: ^[a-f0-9]{24}$

Path Parameters

id
string
required

Transaction identifier (MongoDB ObjectId)

Pattern: ^[a-f0-9]{24}$

Response

Transaction cancelled successfully

Asset transaction enriched with display-ready fields.

id
string
required
category
enum<string>
required
Available options:
AssetTransaction
status
string
required

Current transaction status (Pending, PendingGift, Settled, etc.).

orders
object[]
required
portfolioTransactionCategory
enum<string>
Available options:
update,
buy,
sell
owner
string

User identifier owning the transaction.

portfolio
string

Portfolio identifier associated with the transaction.

consideration
object
executionWindow
object | null

Execution windows separated by asset category (matches domain ExecutionWindowsType)

fees
object | null

Wealthyhood fees on orders and settled transactions (commission, FX, and real-time execution when applicable).

partnerFees
object | null

Present for partner users when countervalue fees apply.